html * {
    font-family: Helvetica;
}

body {
  background-color: #F6F8FF;
}

img {
    height:auto;
    width: 100%;
}

div#header {
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
}

div#logo_container {
    flex: 1 1.5 auto;
    flex-flow: column;
    max-width: 150px;
    min-width: 45px;
}

figure {
    margin: 5px;
    flex: auto;
}

figure#wabe {
    min-width: 150px;
    max-width: 450px;
}

figure#ost {
}

figure#ulag {
}

input[type=text] {
  width: auto;
  margin: 8px 0;
  box-sizing: border-box;
}

input[readonly] {
  background: transparent;
}

.inputField {
    background: linear-gradient(to top, #CCCCCC, #FFFFFF) repeat scroll 0 0 transparent;
    border: 1px solid #AAAAAA;
    border-radius: 10px 10px 10px 10px;
    box-shadow: 0 0 15px #AAAAAA;
    margin: 10px auto 0;
    padding: 20px;
}

.inputField legend {
    background: linear-gradient(90deg, #CCCCCC, #FFFFFF);
    border-radius: 10px 10px 10px 10px;
    -webkit-box-shadow: 0 0 15px #AAAAAA;
    -moz-box-shadow: 0 0 15px #AAAAAA;
    box-shadow: 0 0 15px #AAAAAA;
    padding: 0.2em 1em 0.2em 1em;
}

.flexRow {
    display: flex;
    flex-flow: row wrap;
    height: auto;
    min-width: 250px;
    align-items: center;
}

.flexRow label {
    padding-right: 5px;
}

.baseButton {
    flex: auto;
    background:
        linear-gradient(to top, rgba(0, 0, 0, 0.5), transparent),
        #08ADFF;
    border: 1px solid #093C75;
    border-radius: 3px 3px 3px 3px;
    box-shadow: 0 1px 0 #FFFFFF;
    color: #FFFFFF;
    cursor: pointer;
    font-weight: bold;
    padding: 5px 5px;
    text-decoration: none;
    text-shadow: 0 1px 1px #333333;
    text-transform: uppercase;
    text-align: center;
    transition: 0.2s;
}

.baseButton:hover {
    background:
        linear-gradient(to bottom, rgba(0, 0, 0, 0.5), transparent),
        #0088cc;
    border-color: #093C75;
    text-decoration: none;
}

.baseButton:active {
    background: #005580;
    border-color: #093C75;
    outline: medium none;
}

.baseButton.data {
    background:
        linear-gradient(to top, rgba(0, 0, 0, 0.5), transparent),
        linear-gradient(to right, #e52d27 0%,  #dab3ff 51%, #e52d27  100%);
    background-size: 200% auto;
    transition: 0.5s;
}

.baseButton.data:hover {
    background-position-x: right;
    text-shadow: 1px 2px 0 #444;
}

.baseButton.data.upload {
    background-position-x: right;
}

.baseButton.data.upload:hover {
    background-position-x: left;
    text-shadow: 0px 2px 1px #444;
}